%define name mpeg2_movie
%define version 1.2.2
%define release 1mdk

Summary: Command line tools for generating MPEG2 movie files
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Video
Source: http://heroinewarrior.com/%{name}-%{version}.tar.bz2
URL: http://heroinewarrior.com/mpeg2movie.html
BuildRoot: /var/tmp/%{name}-buildroot

%description
Command line utilities to generate MPEG-2 movies.

See /usr/share/doc/mpeg2_movie-1.2.2/index.html for more info

%prep

rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%setup -q
# Many files of the source tarball are read-only
chmod -R u+w .
# Unfortunately, there are still binaries in the source tarball (broken "make 
# clean"). So clean up manually
for i in  '*.o' '*.a' '*.so' '*.so.*' 'core' ; do 
  find . -name $i -exec rm '{}' \;
done
# Replace all hard-coded /usr/local by /usr
for i in `find . -type f -name '*' -print` ; do sed "s:/usr/local:/usr:" $i > $i.new; chmod --reference=$i $i.new; mv -f $i.new $i; done
# Replace all hard-coded /usr/etc (former /usr/local/etc) by /etc
for i in `find . -type f -name '*' -print` ; do sed "s:/usr/etc:/etc:" $i > $i.new; chmod --reference=$i $i.new; mv -f $i.new $i; done

%build
# The flags are necessary, do not remove them!
export CFLAGS="-I. -I.. -I../.. ${CFLAGS:-%optflags} -malign-loops=2 -malign-jumps=2 -malign-functions=2"; export CXXFLAGS="-I. -I.. -I../.. ${CXXFLAGS:-%optflags} -malign-loops=2 -malign-jumps=2 -malign-functions=2"; %configure
%make

%install

rm -rf $RPM_BUILD_ROOT

	mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}/
	mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}/audio
	cp audio/encode $RPM_BUILD_ROOT%{_libdir}/%{name}/audio
	cp -ax audio/tables $RPM_BUILD_ROOT%{_libdir}/%{name}/audio
	mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}/video
	cp video/encode $RPM_BUILD_ROOT%{_libdir}/%{name}/video
	mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}/libmpeg3
	cp libmpeg3/dump $RPM_BUILD_ROOT%{_libdir}/%{name}/libmpeg3
	cp libmpeg3/mpeg3cat $RPM_BUILD_ROOT%{_libdir}/%{name}/libmpeg3
	cp libmpeg3/mpeg3toc $RPM_BUILD_ROOT%{_libdir}/%{name}/libmpeg3
	mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}/mplex
	cp mplex/mplex $RPM_BUILD_ROOT%{_libdir}/%{name}/mplex
	mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}/quicktime
	mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/
	cp docs/index.html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/
        ln -s %{_docdir}/%{name}-%{version}/ \
	   $RPM_BUILD_ROOT%{_libdir}/%{name}/docs
	cp script $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/example-script
        ln -s %{_docdir}/%{name}-%{version}/example-script \
	   $RPM_BUILD_ROOT%{_libdir}/%{name}/script
	mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/libmpeg3
	cp libmpeg3/docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/libmpeg3
        ln -s %{_docdir}/%{name}-%{version}/libmpeg3 \
	   $RPM_BUILD_ROOT%{_libdir}/%{name}/libmpeg3/docs
	mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/quicktime
	cp quicktime/docs/*.html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/quicktime
        ln -s %{_docdir}/%{name}-%{version}/quicktime \
	   $RPM_BUILD_ROOT%{_libdir}/%{name}/quicktime/docs
	mkdir -p $RPM_BUILD_ROOT%{_bindir}
	( cd $RPM_BUILD_ROOT%{_bindir}
	  ln -sf %{_libdir}/%{name}/audio/encode audio-encode
	  ln -sf %{_libdir}/%{name}/video/encode video-encode
	  ln -sf %{_libdir}/%{name}/libmpeg3/dump mpeg3dump
	  ln -sf %{_libdir}/%{name}/libmpeg3/mpeg3cat mpeg3cat
	  ln -sf %{_libdir}/%{name}/libmpeg3/mpeg3toc mpeg3toc
	  ln -sf %{_libdir}/%{name}/mplex/mplex mplex
	)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}-%{version}/
%{_bindir}/*
%{_libdir}/%{name}/*

%changelog

* Fri Sep  1 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.2.2-1mdk
- initial release
